;InnoSetupVersion=5.2.1

[Setup]
AppName=Multi-screen Remote Desktop
AppVerName=Multi-screen Remote Desktop 3.2.0.53
AppId=Multi-screen Remote Desktop
AppPublisher=DigitalBeijing, Inc.
AppPublisherURL=http://www.digitalbeijing.net
AppSupportURL=http://www.digitalbeijing.net
AppUpdatesURL=http://www.digitalbeijing.net
DefaultDirName={pf}\Multi-screen Remote Desktop
DefaultGroupName=Multi-screen Remote Desktop
OutputBaseFilename=in
Compression=lzma
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Client\srclient.exe"; DestDir: "{app}\Client"; Components: Client_Mode; Flags: ignoreversion 
Source: "{app}\Client\srclient.dll"; DestDir: "{app}\Client"; Components: Client_Mode; Flags: ignoreversion 
Source: "{app}\Client\locale\cn\LC_MESSAGES\default.mo"; DestDir: "{app}\Client\locale\cn\LC_MESSAGES"; Components: Client_Mode; Languages: "  chinese"; Flags: ignoreversion 
Source: "{app}\Server\srserver.exe"; DestDir: "{app}\Server"; Components: Server_Mode; Flags: ignoreversion 
Source: "{app}\Server\srservice.exe"; DestDir: "{app}\Server"; Components: Server_Mode; Flags: ignoreversion 
Source: "{app}\Server\othread2.dll"; DestDir: "{app}\Server"; Components: Server_Mode; Flags: ignoreversion 
Source: "{app}\Server\sshooks.dll"; DestDir: "{app}\Server"; Components: Server_Mode; Flags: ignoreversion 
Source: "{app}\Server\locale\cn\LC_MESSAGES\default.mo"; DestDir: "{app}\Server\locale\cn\LC_MESSAGES"; Components: Server_Mode; Languages: "  chinese"; Flags: ignoreversion 

[Run]
Filename: "{app}\Client\srclient.exe"; Description: "{cm:LaunchProgram,Multi-screen Remote Desktop}"; Components: Client_Mode; Flags: postinstall skipifsilent nowait
Filename: "{app}\Server\srserver.exe"; Description: "{cm:LaunchProgram,Multi-screen Remote Desktop}"; Components: Server_Mode; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Multi-screen Remote Desktop(Client)"; Filename: "{app}\Client\srclient.exe"; Components: Client_Mode; 
Name: "{commondesktop}\Multi-screen Remote Desktop(Client)"; Filename: "{app}\Client\srclient.exe"; Components: Client_Mode; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Multi-screen Remote Desktop(Client)"; Filename: "{app}\Client\srclient.exe"; Components: Client_Mode; Tasks: quicklaunchicon; 
Name: "{group}\{cm:UninstallProgram,Multi-screen Remote Desktop}"; Filename: "{uninstallexe}"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Multi-screen Remote Desktop(Server)"; Filename: "{app}\Server\srserver.exe"; Components: Server_Mode; Tasks: quicklaunchicon; 
Name: "{commondesktop}\Multi-screen Remote Desktop(Server)"; Filename: "{app}\Server\srserver.exe"; Components: Server_Mode; Tasks: desktopicon; 
Name: "{group}\Multi-screen Remote Desktop(Server)"; Filename: "{app}\Server\srserver.exe"; Components: Server_Mode; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[Components]
Name: "client_mode"; Description: "[Client Program] Control other PCs remotely."; Types: "client_mode"; 
Name: "server_mode"; Description: "[Server Program] To be controlled remotely."; Types: "server_mode"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\*"; 

[Types]
Name: "client_mode"; Description: "[Client  Program]  Control other PCs remotely ."; 
Name: "server_mode"; Description: "[Server Program]  To be controlled remotely ."; 

[CustomMessages]
english.NameAndVersion=%1 version %2
english.AdditionalIcons=Additional icons:
english.CreateDesktopIcon=Create a &desktop icon
english.CreateQuickLaunchIcon=Create a &Quick Launch icon
english.ProgramOnTheWeb=%1 on the Web
english.UninstallProgram=Uninstall %1
english.LaunchProgram=Launch %1
english.AssocFileExtension=&Associate %1 with the %2 file extension
english.AssocingFileExtension=Associating %1 with the %2 file extension...
chinese.NameAndVersion=%1 汾 %2
chinese.AdditionalIcons=ͼ:
chinese.CreateDesktopIcon=ͼ[&d]
chinese.CreateQuickLaunchIcon=ͼ[&Q]
chinese.ProgramOnTheWeb=%1 on the Web
chinese.UninstallProgram=װ %1
chinese.LaunchProgram=ִ %1
chinese.AssocFileExtension=ļչ %2 ƥ[&A]  %1
chinese.AssocingFileExtension=ļչ %2 ƥ[&A]  %1 ...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "english"; MessagesFile: "embedded\english.isl"; 
Name: "chinese"; MessagesFile: "embedded\chinese.isl"; 
